package com.css.simulation.resource.server.app.constant;

import lombok.Getter;

/**
 * 场景类型
 */
@Getter
public enum SceneTypeEnum {

    SCENE_NATURAL("1","自然驾驶"),
    SCENE_STANDARD("2","标准法规"),
    SCENE_ACCIDENT("3","交通事故"),
    SCENE_GENERAL("4","泛化场景");

    private String code;

    private String state;

    SceneTypeEnum(String code, String state){
        this.code = code;
        this.state = state;
    }

    public static String getState(String code){
        if(code == null){
            return "";
        }
        for(SceneTypeEnum e :  SceneTypeEnum.values()){
            if(e.code.equals(code)){
                return e.state;
            }
        }
        return "";
    }
}
